## org.apache.mahout.cf.taste.hadoop.item
Class VectorAndPrefsWritable

    java.lang.Object
      org.apache.mahout.cf.taste.hadoop.item.VectorAndPrefsWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public final class VectorAndPrefsWritable

extends java.lang.Object
implements org.apache.hadoop.io.Writable

Constructor Summary
`VectorAndPrefsWritable()`
`VectorAndPrefsWritable(Vector vector, java.util.List<java.lang.Long> userIDs, java.util.List<java.lang.Float> values)`

Method Summary
`java.util.List<java.lang.Long>` `getUserIDs()`
`java.util.List<java.lang.Float>` `getValues()`
`Vector` `getVector()`
`void` `readFields(java.io.DataInput in)`
`void` `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorAndPrefsWritable

    public VectorAndPrefsWritable()

### VectorAndPrefsWritable

    public VectorAndPrefsWritable(Vector vector,
                                  java.util.List<java.lang.Long> userIDs,
                                  java.util.List<java.lang.Float> values)

Method Detail

### getVector

    public Vector getVector()

### getUserIDs

    public java.util.List<java.lang.Long> getUserIDs()

### getValues

    public java.util.List<java.lang.Float> getValues()

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.